Page MenuHomeFreeBSD

replace POLARSSL with MBEDTLS in options descriptions
ClosedPublic

Authored by lifanov on Feb 23 2017, 8:19 PM.

Details

Summary
I'm working on a PR for a port that uses mbed TLS and I would like
an option description for it like for other TLS toolkits (NSS, WOLFSSL, GNUTLS, etc.).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lifanov updated this revision to Diff 25635.Feb 23 2017, 8:19 PM
lifanov retitled this revision from to replace POLARSSL with MBEDTLS in options descriptions.
lifanov updated this object.
lifanov edited the test plan for this revision. (Show Details)
lifanov added a reviewer: tijl.
lifanov added a subscriber: matthew.
lifanov updated this object.Feb 23 2017, 8:28 PM
lifanov added a reviewer: mat.
mat requested changes to this revision.Feb 24 2017, 2:07 PM
mat edited edge metadata.

According to git grep, I'm not sure how you checked, but ftp/curl, net-mgmt/zabbix*-server, net-p2p/transmission-cli, security/openvpn23 currently all have a POLARSSL option, please don't remove its description.

This revision now requires changes to proceed.Feb 24 2017, 2:07 PM

I ran "find" with an off-by-one -depth, sorry :)

lifanov updated this revision to Diff 25651.Feb 24 2017, 2:47 PM
lifanov edited edge metadata.

address mat's feedback:

add back POLARSSL: I made a mistake while checking that it was unused

lifanov updated this object.Feb 24 2017, 2:47 PM
lifanov edited edge metadata.
mat accepted this revision.Mar 2 2017, 8:24 AM
mat edited edge metadata.
This revision is now accepted and ready to land.Mar 2 2017, 8:24 AM
This revision was automatically updated to reflect the committed changes.